# Get access to push data


The user must be allowed to push files and metadata into the spatial data infrastructure:

- Files
- STAC objects

In order to ask the permission to do so, the user must perform a [merge request](https://docs.gitlab.com/ee/user/project/merge_requests/) 
in [this repository](https://forgemia.inra.fr/cdos-pub/admin/cdos-ops), modifying two files 
(here we assure that the user is named `jacques.chirac`!):

- `buckets.json`: add a bucket and a path prefix where the files will be uploaded,

Typically, one should use the `gdc-sm1` bucket, with a path prefix which is not already 
used, e.g.:

```json
    ...,
    "jacques.chirac": [
      {
        "s3_endpoint": "s3-data.meso.umontpellier.fr",
        "buckets": [
            "sm1-gdc/collection1234",
            "sm1-gdc/collection4567", 
            "sm1-gdc/collection_chirac/1", 
            "sm1-gdc/collection_chirac/2"
        ]
      }
    ],
    ...
```

- `transations_rules.json`: itemize the STAC collections IDs that will be created and modified.

```json
    ...,
    "jacques.chirac": [
        "collectionXYZ", 
        "collection123"
    ],
    ...
```

Note that collections IDs and buckets/paths prefixes are completely independent.

